dojo.provide("parus.openIDRegistrationDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("parus.parus8");
dojo.require("parus.database");
dojo.require("parus.dialog");

dojo.declare("parus.openIDRegistrationDialog", [parus.Dialog], {

  sizeable: null,

  handler: null,
  login: null,
  password: null,

  errorText: "Не удалось зарегистрировать OpenID." + "<br/>" + "Вероятно, идентификатор пользователя или пароль указан неверно.",

  apply: function() {
    if (!this.validate()) return;

    if (parus.database.connect(this.handler, this.login, this.password)) {

      var response = parus.database._xhr("registerOpenIDAccount.xml", null, {
        account: this.accountEdit.value,
        description: this.descriptionEdit.value
      });

      if (!response) return;

      parus.parus8.notificationMessage("OpenID-аккаунт зарегистрирован.");
    }
    else {
      if (!parus.database.authException) alert("Регистрационные данные не верны. Проверьте пожалуйста правильность ввода.");
    }

    return this.inherited(arguments);
  }
});